(function($) {
	'use strict';
	let custom_post = $("#custom_post");
	custom_post.on('change',function(){
		let value = $(this).val();
		let data =
		{
			action: 'fields_by_post_type',
			nonce: filter_admin.filter_plus_nonce,
			post_type: value
		};
		load_custom_field(data,filter_admin.ajax_url);
	});

	function load_custom_field(data,ajax_url) {
		$('#custom_field_list').select2({
			ajax: {
				url: ajax_url,
				method: 'POST',
				dataType: 'json',
				data: data,
				processResults: function (data) {
					let result = $.map(data.data, function (key,value) {
						return {
							id: key,
							text: value
						  }
					  });
					return { results: result };
			  }
			}
		});
	}

	// License section
	$(".filter_plus_marketplace").on('change',function(e){
		e.preventDefault();
		let get_value = $(this).val();
		if ( $(`.${get_value}`).hasClass("d-none")) {
			$(`.${get_value}`).removeClass("d-none");
			
			if ( get_value == "pluggable" && !$(`.woooplugin`).hasClass("d-none")) {
				$(`.woooplugin`).addClass("d-none");
				$(`.submit_filter_license`).addClass("d-none");
			}
			else if ( get_value == "woooplugin" && !$(`.pluggable`).hasClass("d-none")) {
				$(`.pluggable`).addClass("d-none");
				$(`.submit_filter_license`).removeClass("d-none");

			}
		}
	})

})(jQuery);