<?php

namespace FilterPlusPro\Core\Admin;

use FilterPlusPro\Utils\Singleton;

/**
 * Ajax action
 *
 * @since 1.0.0
 */
class Actions {

    use Singleton;

	/**
	 * Initialize all modules.
	 *
	 * @since 1.0.0
	 *
	 * @return void
	 */
	public function init() {
		$callback = ['fields_by_post_type'];
		if ( ! empty( $callback ) ) {
			foreach ( $callback as $key => $value ) {
				add_action( 'wp_ajax_' . $value, [$this, $value] );
				add_action( 'wp_ajax_nopriv_' . $value, [$this, $value] );
			}
		}
	}

    /**
     * Get custom  fields by post type
     */
    public function fields_by_post_type() {
        $post_data    = filter_input_array( INPUT_POST, FILTER_SANITIZE_SPECIAL_CHARS );
		\FilterPlus\Utils\Helper::instance()->verify_nonce('filter_plus_nonce', $post_data['nonce'] );
        $post_type  = !empty($post_data['post_type']) ? $post_data['post_type'] : '';
        $field_list = \FilterPlus\Utils\Helper::instance()->get_custom_fields_keys($post_type);

        wp_send_json_success($field_list);

        wp_die();
    }
}