<?php

namespace FilterPlusPro\Core;

use FilterPlusPro\Utils\Singleton;

/**
 * Base Class
 *
 * @since 1.0.0
 */
class Core {

    use Singleton;

    /**
     * Initialize all modules.
     *
     * @since 1.0.0
     *
     * @return void
     */
    public function init() {
      // Load frontend shortcodes
      \FilterPlusPro\Core\Frontend\Shortcodes::instance()->init();
      if(is_admin()){
        \FilterPlusPro\Core\Admin\OrderFilter::instance()->init();
        // Ajax submit
        if ( defined( 'DOING_AJAX' ) && DOING_AJAX ) {
          \FilterPlusPro\Core\Admin\Actions::instance()->init();
          \FilterPlusPro\Lib\License\Marketplace\License::instance()->init();
        }
      }else{
        \FilterPlusPro\Core\Frontend\Seo::instance()->init();
      }
      // load bricks components
      $theme = wp_get_theme();
      $theme_name = array('Bricks Child Theme','Bricks');

      if ( 
          !empty( $theme ) && 
          ( !in_array( $theme->name , $theme_name ) ) ) {
              return;
      }
      if ( class_exists('FilterPlus\Core\Widgets\Bricks\Manifest') ) {
        \FilterPlus\Core\Widgets\Bricks\Manifest::instance()->init();
      }
      
    }
}
