<?php

namespace FilterPlusPro\Core\Frontend;

use FilterPlusPro\Utils\Singleton;

/**
 * Base Class
 *
 * @since 1.0.0
 */
class Shortcodes {

    use Singleton;

    /**
     * Initialize all modules.
     *
     * @since 1.0.0
     *
     * @return void
     */
    public function init() {
        add_filter('filter_pro_pro/wp_filter',array($this,'wp_filter_plus'),10,1);
    }

    public function wp_filter_plus($atts) {
		$atts = extract(
			shortcode_atts(
				array(
					'filter_type'       => 'post',
					'custom_post'       => '',
					'template'         	=> '1',
					'show_categories'   => 'yes',
					'category_label'    => esc_html__('Categories','filter-plus-pro'),
					'categories'       	=> '',
					'sub_categories'	=> 'no',
					'show_tags'        	=> '',
					'tag_label'        	=> esc_html__('Tags','filter-plus-pro'),
					'tags'             	=> '',
					'author'            => '',
					'author_label'      => esc_html__('Authors','filter-plus-pro'),
					'author_list'       => '',
					'post_categories'	=> 'yes',
					'post_tags'      	=> 'yes',
					'post_author'      	=> 'yes',
					'custom_field_label' 	=> esc_html__('Custom Field','filter-plus-pro'),
					'custom_field'      	=> 'no',
					'meta_condition'     	=> 'OR',
					'custom_field_list'     => ''
				), $atts )
		    );

		$filtering_type = $filter_type == 'post' ? 'post' : $custom_post;
		$main_wrapper   = $template == '3' ? 'mainWrapper' : 'shopContainer';
		\FilterPlus\Core\Frontend\Shortcodes::instance()->custom_css($template,$filter_type);

		if ( file_exists( \FilterPlusPro::plugin_dir() . "templates/wp-filter/template-" . $template . "/template-" . $template . ".php" ) ) {
		?>
			<div class="<?php echo esc_attr($main_wrapper);?>" id="shopContainer"
				data-filter_type='<?php echo esc_attr($filtering_type)?>'
				data-template="<?php echo esc_attr($template)?>"
				data-product_categories="<?php echo esc_attr($post_categories)?>"
				data-product_tags="<?php echo esc_attr($post_tags)?>"
				data-post_author="<?php echo esc_attr($post_author)?>"
			>
				<?php include_once \FilterPlusPro::plugin_dir() . "templates/wp-filter/template-" . $template . "/template-" . $template . ".php";?>
			</div>
		<?php
		}
    }
    
}
