(function($) {

	'use strict';

    $(document).ready(function(){
            // check license
            $("form#woooplugin-license").on('submit',function (e) {
                e.preventDefault();
                let license_btn = $('.submit_filter_license');
                var __this = $(this), license_key = $("#license_key").val();
                $.ajax({
                    url: license_obj.ajax_url,
                    type: "POST",
                    data: {
                        action: 'activate_woooplugin_license',
                        edd_action_type: 'activate_license',
                        license_key: license_key,
                        license_nonce:license_obj.license_nonce
                    },
                    beforeSend:function(){
                        license_btn.addClass('loading');
                    },
                    success: function (response) {
                        license_btn.removeClass('loading');
                        response_message(response);
                    },
                });
            });

            /** 
             * Show Api response
            */
            function response_message(response) {
                let $message = response?.data?.message;
                let content = '';
                if (response?.data?.result == "valid") {
                    content = "<p class='alert alert-success'>" + $message + "<\/p>";
                    location.reload();
                } else {
                    content = "<p class='alert alert-warning'>" + $message + "<\/p>";
                }
                $(".license_info").html("").html(content);
            }

            $('.revoke-license').on('click', function(e){
                e.preventDefault();
                let $this = $(this);
                $.ajax({
                    url: license_obj.ajax_url,
                    type: "POST",
                    data: {
                        action: 'deactivate_license',
                        edd_action_type: "deactivate_license"
                    },
                    beforeSend:function (response) {
                        $this.addClass('loading');
                    },
                    success: function (response) {
                        $this.removeClass('loading');
                        response_message(response);
                    }
                });
            });
    });

})(jQuery);

