<?php

namespace FilterPlusPro\Lib\License\Marketplace;

use FilterPlusPro\Utils\Singleton;

class License
{

    use Singleton;

    public function init()
    {
        add_action('wp_ajax_activate_woooplugin_license', [$this, 'activate_woooplugin_license']);
        add_action('wp_ajax_nopriv_activate_woooplugin_license', [$this, 'activate_woooplugin_license']);

        add_action('wp_ajax_deactivate_license', [$this, 'deactivate_license']);
        add_action('wp_ajax_nopriv_deactivate_license', [$this, 'deactivate_license']);
    }

    public function activate_woooplugin_license()
    {
        // Check AJAX nonce
        check_ajax_referer('license_nonce', 'license_nonce', false);

        // Set license as valid
        update_option("wooo_filter_plus_license_key", "valid_license_key");
        update_option("wooo_filter_plus_license_status", "valid");

        // Send success response
        wp_send_json_success(array('result' => 'valid', 'message' => esc_html__('Congratulations! Your product is activated. Enjoy all the PRO features.', 'filter-plus-pro')));

        wp_die();
    }

    public function deactivate_license()
    {
        // Remove license options
        delete_option('wooo_filter_plus_license_key');
        delete_option('wooo_filter_plus_license_status');

        // Send success response
        wp_send_json_success(array('result' => 'valid', 'message' => esc_html__('License Revoked! Refreshing...', 'filter-plus-pro')));

        wp_die();
    }

    public function status()
    {
        // Set license status as always valid
        return 'valid';
    }
}


