<?php

namespace FilterPlusPro\Lib\Updater;

use FilterPlusPro\Utils\Singleton;

defined( 'ABSPATH' ) || exit;

class Init {

    use Singleton;

    public function init() {
        $license_key = explode( '-', trim( get_option( "wooo_filter_plus_license_key" ) ) );
        $license_key = !isset( $license_key[0] ) ? '' : $license_key[0];

        $plugin_dir_and_filename = \FilterPlusPro::plugin_dir() . 'filter-plus-pro.php';

        $active_plugins = get_option( 'active_plugins' );

        foreach ( $active_plugins as $active_plugin ) {

            if ( false !== strpos( $active_plugin, 'filter-plus-pro.php' ) ) {
                $plugin_dir_and_filename = $active_plugin;
                break;
            }

        }

        if ( !isset( $plugin_dir_and_filename ) || empty( $plugin_dir_and_filename ) ) {
            return ( esc_html__('Plugin not found! Check the name of your plugin file in the if check above', "filter-plus-pro") );
        }

        new Edd_Warper(
            \FilterPlusPro\Wrapper::instance()->store_url(),
            $plugin_dir_and_filename,
            [
                'version' => \FilterPlusPro::get_version(),
                'license' => $license_key,
                'item_id' => \FilterPlusPro\Wrapper::instance()->product_id(),
                'author'  => \FilterPlusPro\Wrapper::instance()->author_name(),
                'url'     => home_url(),
            ]
        );
    }

}
